## courier 0.78.0

=== debian/changelog ===
courier (0.78.0-2ubuntu2) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:24:05 +0100

courier (0.78.0-2ubuntu1) bionic; urgency=medium

  * Fix missing installation of courierfilter in the courier-mta package.
    LP: #1732071.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Nov 2017 21:54:20 -0800

courier (0.78.0-2) unstable; urgency=medium

  * Fix an FTBFS by adding a B-D on libgcrypt-dev. Closes: #875659.

 -- Markus Wanner <markus@bluegap.ch>  Wed, 13 Sep 2017 18:01:52 +0200

courier (0.78.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches: 0011-Don-t-cleanup-staticlist.c.patch,
    0018-Fix-default-configuration-for-Debian.patch,
    0019-Remove-upstream-chown-on-install-target.patch, and
    0022-mkesmtpdcert-should-use-certsdir.patch.
  * Drop patch 0021-Fix-dotforward-manpage-installation.patch:
    upstream now installs dotforward.1 as a link to dot-forward.1.
  * Correct patch 0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch
    effectively correcting mkesmtpcert, called from the postinst
    script. Closes: #874736.
  * Correct build-dependencies: drop alternative dependencies that
    no longer exist: init-d-script, libmysqlclient-dev.
  * Add a separate 'set -e' line to the mainscripts.
  * Correct NEWS file syntax.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 12 Sep 2017 21:58:24 +0200
