## courier 1.0.5

=== debian/changelog ===
courier (1.0.5-2) unstable; urgency=medium

  [ Alban Vidal ]
  * Updated French po-debconf translation. Closes: #863941.

  [ Viktor Szépe ]
  * Fix lintian "script-not-executable".

  [ Markus Wanner ]
  * Add an apache_unlink step to the postrm of sqwebmail.
    Closes: #919840.
  * Move the statoverrides for /etc/courier/imapaccess from
    courier-base to courier-imap.
  * Remove the statoverrides for /var/lib/courier/{tmp,msgq,msgs}
    from courier-base, courier-mta properly covers these.
  * Add patch 0025-Move-sqwebmail.sock.patch to move the sqwebmail
    socket file to /var/run/courier.  Closes: #893830.
  * Update German and Russion po-debconf translations.
    Closes: #885186, #883647.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 27 Jan 2019 11:39:29 +0100

courier (1.0.5-1) unstable; urgency=medium

  [ Markus Wanner ]
  * New upstream release 1.0.5.
  * Update and correct debian/copyright, use https links.
  * Refresh patches 0002, 0010, 0012, 0015, 0016, 0019, 0022, 0023,
    and 0024.
  * Extend patch 0018-Fix-default-configuration-for-Debian.patch with
    the piddir addition proposed by Willi Mann. Closes: #875696.
  * d/control: tighten dependency on courier-unicode, eliminate obsolete
    build dependencies dh-autoreconf, autotools-dev and dh-systemd.
  * Bump debian/compat to 11.
  * Bump S-V to 4.2.1.
  * d/rules: drop `--with autotools-dev` and `--with systemd`, use
    dh_installsystemd, instead.
  * Drop patch 0025-Use-SOURCE_DATE_EPOCH.., it got applied upstream.
  * Drop lintian overrides: possible-gpl-code-linked-with-openssl is
    no longer required, since courier is built against gnutls.  And
    package-contains-empty-directory does not apply anymore.
  * Add Vcs-Git and Vcs-Browser links to the new salsa project.
  * Update d/watch to version 4, use https.
  * courier-mta: include binary courierfilter. Closes: #881696.
  * courier-mta.NEWS: correct tab to spaces.
  * courier-webadmin: Add dependency on libcgi-pm-perl. Closes: #910525.
  * courier-webadmin: Correct ownership and permissions on
    /etc/courier/webadmin/password (mode 0600, courier owned).
  * sqwebmail: provide a default apache24 configuration and enable it
    from the postinst script, if possible.
  * sqwebmail.postinst: eliminate trailing slash passed on to
    dpkg-statoverride.
  * sqwebmail/install-www: change table to use split choices.
  * Remove the transitional packages, these were delivered with
    stretch, already.

  [ Dimitri John Ledkov ]
  * Disable gnutls OPENPGP certificates. Closes: #879530.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 14 Jan 2019 20:32:48 +0100
