=== debian/control ===
--- 
+++ 
@@ -1,23 +1,19 @@
 Source: courier
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 3.9.6
+Maintainer: Markus Wanner <markus@bluegap.ch>
+Standards-Version: 4.2.1
 Build-Depends: automake,
-               autotools-dev,
                courier-authlib-dev (>= 0.66.4-5~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                default-libmysqlclient-dev,
-               dh-autoreconf,
                dh-exec,
-               dh-systemd,
                expect,
                ghostscript,
                gnupg2,
                gnutls-bin,
                groff-base,
-               libcourier-unicode-dev (>= 2.0-2~),
+               libcourier-unicode-dev (>= 2.1-3~),
                libfam-dev,
                libgcrypt-dev,
                libgdbm-dev | libgdbmg1-dev,
@@ -38,6 +34,8 @@
                zlib1g-dev
 Build-Conflicts: automake1.4
 Homepage: http://www.courier-mta.org/
+Vcs-Git: https://salsa.debian.org/debian/courier.git
+Vcs-Browser: https://salsa.debian.org/debian/courier
 
 Package: courier-base
 Architecture: any
@@ -69,17 +67,6 @@
  instead of embedding TLS support in the different applications.
  Additionally, this package contains a default set of trusted X.509
  root CA certs.
-
-Package: courier-maildrop
-Architecture: all
-Depends: debconf | debconf-2.0,
-         maildrop,
-         ${misc:Depends}
-Suggests: courier-doc
-Section: oldlibs
-Description: Courier mail server - mail delivery agent [transitional package]
- This dummy package depends on standalone maildrop package and can be
- safely removed.
 
 Package: courier-mlm
 Architecture: any
@@ -161,6 +148,7 @@
 Architecture: any
 Depends: apache2 | httpd,
          courier-base (= ${binary:Version}),
+         libcgi-pm-perl,
          debconf | debconf-2.0,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -304,15 +292,3 @@
  services within a single, consistent, framework.
  .
  This package contains additional documentation for Courier.
-
-Package: courier-ssl
-Architecture: all
-Depends: courier-base (>= 0.75.0-1~),
-         ${misc:Depends}
-Section: oldlibs
-Description: Courier mail server - TLS Support [transitional]
- The Courier mail transfer agent (MTA) is an integrated mail/groupware
- server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
- TLS, and HTTP. Courier provides ESMTP, IMAP, POP3, webmail, and mailing list
- services within a single, consistent, framework.
- .
