## courier 1.0.6

=== debian/changelog ===
courier (1.0.6-1build2) focal; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 19:27:10 +0000

courier (1.0.6-1build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:46:51 +0000

courier (1.0.6-1) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * Updated debian/copyright
  * Updated Spanish po-debconf translation.
  * Updated Basque po-debconf translation.
  * Updated Czech po-debconf translation. Closes: #921065.
  * Add Chinese po-debconf translations. Closes: #921071.
  * Update Dutch po-debconf translation. Closes: #921091.
  * Update Portuguese po-debconf translation. Closes: #921135.

  [ Markus Wanner ]
  * New upstream version 1.0.6.

  [ Holger Wansing ]
  * Updated German po-debconf translation. Closes: #921225.
  * Updated French po-debconf translation.

 -- Markus Wanner <markus@bluegap.ch>  Tue, 05 Feb 2019 19:06:45 +0100
