=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2000-2012 by Stefan Hornburg (Racke) <racke@linuxia.de>
 # Copyright 2015 Ondřej Surý <ondrej@debian.org>
-# Copyright 2017 Markus Wanner <markus@bluegap.ch>
+# Copyright 2017-2018 Markus Wanner <markus@bluegap.ch>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -46,7 +46,7 @@
 SED_VERSION=sed -ne 's/^Version: \(.*\)/\1/p'
 
 %:
-	dh $@ --with autotools-dev --with autoreconf --with systemd
+	dh $@ --with autoreconf
 
 override_dh_autoreconf:
 	find $(CURDIR) -name Makefile.in -delete
@@ -78,6 +78,7 @@
 		--with-certsdir=/etc/courier \
 		--with-postgresql-includes=/usr/include/postgresql \
 		--with-webadmindir=/usr/share/courier/webadmin \
+		--with-notice=unicode \
 		--enable-authlib \
 		--enable-userdb \
 		--enable-syslog=1 \
@@ -129,20 +130,17 @@
 # Ispell dictionary configuration will be produced by postinst
 	rm -f $(BUILD)/usr/lib/courier/sqwebmail/html/en-us/ISPELLDICT
 
+# Install apache 2.4 configuration
+	install -D -m0644 debian/sqwebmail.apache24.conf \
+		$(CURDIR)/debian/sqwebmail/etc/sqwebmail/apache24.conf
+
 # Remove examples
 	rm -f $(BUILD)/usr/lib/courier/perlfilter-example.pl
 	rm -f $(BUILD)/etc/courier/quotawarnmsg.example
 
 # Fix Perl paths in webadmin stuff
 	perl -i -pe 's%^#!\s?perl%#!/usr/bin/perl%' $(BUILD)/usr/share/courier/webadmin/*.pl
-
-# CHECK&FIXME
-# Fix ldapsearch path
-#	perl -i -pe 's%/usr/local/%/usr/%' $(BUILD)/usr/lib/courier/sqwebmail/ldapsearch
-
-# CHECK&FIXME
-# Fix sendit.sh
-#	perl -i -pe 's%sendmail%sendmail -oi -t%' $(BUILD)/usr/lib/courier/sqwebmail/sendit.sh
+	chmod 755 $(BUILD)/usr/share/courier/webadmin/admin-05local.pl
 
 # Remove showmodules so we get rid of the libmysqlclient dependency
 	rm -f $(BUILD)/usr/sbin/showmodules
@@ -206,12 +204,6 @@
 
 	dh_gencontrol -a --remaining-packages
 
-override_dh_gencontrol-indep:
-	echo "courier-base:Version=$(DEB_VERSION)" >> debian/courier-maildrop.substvars
-	dh_gencontrol -pcourier-maildrop -- -v$(MAILDROPVER)+$(DEB_VERSION_UPSTREAM_REVISION)
-	dh_gencontrol -pcourier-imap-ssl -- -v$(IMAPVER)+$(DEB_VERSION_UPSTREAM_REVISION)
-	dh_gencontrol -i --remaining-packages
-
 override_dh_auto_clean:
 	dh_auto_clean
