## courier 1.0.14

=== debian/changelog ===
courier (1.0.14-2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:11:38 +0000

courier (1.0.14-2) unstable; urgency=medium

  [ Markus Wanner ]
  * Cleanup and correct install files.  Closes: #979131.
  * Use dh-apache2 for sqwebmail, cleanup postinst and postrm
    maintainer scripts.
  * Cleanup del_override in postrm maintainer scripts, drop the
    deprecated --force argument.
  * Correct ownership of webadmin directories.  Closes: #910529.
  * Add support for the nodoc profile.
  * Drop install-perms-list.dat from courier-base, it's a build artifact
  * Correct arch=all builds.
  * Drop the notice about the change to the 'courier' user.
  * Correct init script for courier-mlm.
  * Add patch 0029-tmp-disable-failing-tests to temporarily disable a
    failing test.
  * Add patch 0030-disable-imap-tests to disable some IMAP tests that are
    known to fail with workarounds for buggy clients enabled.
  * Add patch 0031-locale-indep to make MIME related tests pass without
    a fully installed en_US locale.
  * Globally enable all remaining and known working unit tests again.

  [ PICCORO Lenz McKAY ]
  * Update and clarify README.Debian files especially regarding packages
    shipping CGI binaries (i.e. courier-mlm, courier-webadmin, sqwebmail).
    Closes: #126735, #978718.

  [ Markus Wanner ]
  * Reword and correct README updates proposed by Lenz.
  * Add patch 0032-webadmin-improved-error.patch to improve what should
    be an access denied message by webadmin. Closes: #190725.
  * Add patch 0033-limit-corrupted-unicode-alerts.patch to reduce bogus
    unicode failure reports.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 02 Jan 2021 23:06:13 +0100

courier (1.0.14-1) unstable; urgency=medium

  [ Ángel González ]
  * New upstream release 1.0.13.
  * Refresh patches 0002, 0012, 0016, 0018, 0019, 0023, 0024
  * Add missing dependency wget
  * Simplify patch 0024

  [ Markus Wanner ]
  * New upstream release 1.0.14.
  * Make courier-imap depend on fam or gamin.  Closes: #578937, #974585.
  * Refresh patch 0012
  * Improve regular expressions used to parse config files.  Allows
    single and double quotes.  Closes: #933948.
  * Correct installation of systemd unit files, use dh_installsystemd.
    Makes all daemons use proper service files rather than generation
    via sysv init scripts.
  * Correct PIDFile in systemd courier-msa.service unit.
  * Add patch 0026-correct-config-dir-in-docs.patch to correct paths to
    certificates in manpages and HTML documentation.  Closes: #946591.
  * Add patch 0027-improve-error-for-empty-file to catch the case of
    a missing ACCESSFILE in the configuration.  In the postinst script
    of courier-mta, check for the existence of that file prior to
    invoking makesmtpaccess, just like courier-imap already does.
  * Drop patch 0015-Disable-imapscanfail-maildirwatch-error-reporting:
    it seems to only hide issues and its original motivation remains
    unclear.
  * Bump S-V to 4.4.0; no changes required.
  * Pass the --with-certdb configure argument.
  * Define MKDIR_P as just 'mkdir -p' rather than a full absolute path
    to /usr/bin.  Allows generated scripts to work on non-usrmerge'd
    systems.  Closes: #922200.
  * Replace dh_install --list-missing with dh_missing.
  * Provide binaries and manpages that were missing before:
    verifysmtp, verifysender, verifysenderfull, and mkimapdcert.8.
  * d/rules: Correct typo in override_dh_installchangelogs-indep.
  * debian/tests/*: add a few smoke tests to ensure services start
    with the default configuration.

  [ Viktor Szépe ]
  * Fix PIDFILE in courier-msa.init

 -- Markus Wanner <markus@bluegap.ch>  Mon, 28 Dec 2020 15:01:14 +0100

courier (1.0.9-1) UNRELEASED; urgency=medium

  [ Markus Wanner ]
  * New upstream version 1.0.9.

  [ Helge Kreutzmann ]
  * Update Italian po-debconf translation.
  * Update German po-debconf translation. Closes: #921225.
  * Update Japanese po-debconf translation.
  * Fix CR+LF of the Japanese po-debconf translation.
  * Update Swedish po-debconf translation.
  * Update Danish po-debconf translation. Closes: #921417.

 -- Markus Wanner <markus@bluegap.ch>  Sat, 01 Feb 2020 21:52:33 +0100
