=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: courier
 Section: mail
 Priority: optional
-Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 4.2.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Markus Wanner <markus@bluegap.ch>
+Standards-Version: 4.4.0
 Build-Depends: automake,
                courier-authlib-dev (>= 0.66.4-5~),
                debhelper (>= 11),
                default-libmysqlclient-dev,
                dh-exec,
+               dh-apache2,
                expect,
                ghostscript,
                gnupg2,
@@ -31,6 +33,7 @@
                netpbm,
                po-debconf,
                procps,
+               wget,
                zlib1g-dev
 Build-Conflicts: automake1.4
 Homepage: http://www.courier-mta.org/
@@ -97,8 +100,10 @@
          debconf | debconf-2.0,
          libnet-cidr-perl,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
-         ${misc:Depends},
-         ${shlibs:Depends}
+         wget,
+         ${misc:Depends},
+         ${shlibs:Depends},
+         ${perl:Depends}
 Provides: mail-transport-agent
 Conflicts: mail-transport-agent
 Breaks: courier-mta-ssl (<< 0.75.0-1~)
@@ -130,9 +135,9 @@
          ghostscript,
          groff,
          mgetty-fax,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: courier-doc
+         ${misc:Depends}
+Suggests: courier-doc
+Breaks: courier-webadmin (<< 1.0.14-2~)
 Recommends: netpbm
 Description: Courier mail server - Fax<->mail gateway
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -151,7 +156,8 @@
          libcgi-pm-perl,
          debconf | debconf-2.0,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         ${perl:Depends}
 Suggests: courier-doc
 Description: Courier mail server - web-based administration frontend
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -178,8 +184,10 @@
          maildrop,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: courier-pcp
+         ${shlibs:Depends},
+         ${perl:Depends}
+Recommends: ${misc:Recommends},
+            courier-pcp,
 Suggests: courier-doc,
           gnupg
 Description: Courier mail server - webmail server
@@ -196,6 +204,7 @@
 Depends: sqwebmail,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: courier-webadmin (<< 1.0.14-2~)
 Suggests: courier-doc
 Description: Courier mail server - PCP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
@@ -237,6 +246,7 @@
 Architecture: any
 Depends: courier-base (= ${courier-base:Version}),
          debconf | debconf-2.0,
+         gamin | fam,
          default-mta | mail-transport-agent,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
