=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Copyright 2000-2012 by Stefan Hornburg (Racke) <racke@linuxia.de>
 # Copyright 2015 Ondřej Surý <ondrej@debian.org>
-# Copyright 2017-2018 Markus Wanner <markus@bluegap.ch>
+# Copyright 2017-2021 Markus Wanner <markus@bluegap.ch>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -43,10 +43,8 @@
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-SED_VERSION=sed -ne 's/^Version: \(.*\)/\1/p'
-
 %:
-	dh $@ --with autoreconf
+	dh $@ --with apache2,autoreconf
 
 override_dh_autoreconf:
 	find $(CURDIR) -name Makefile.in -delete
@@ -54,6 +52,7 @@
 
 # Common configuration options
 COMMON_CONFIGURE = \
+		MKDIR_P="mkdir -p" \
 		--cache-file=$(CURDIR)/config.cache \
 		--with-piddir=/run/courier \
 		--sysconfdir=/etc/courier \
@@ -62,6 +61,8 @@
 		--localstatedir=/var/lib/courier \
 		--with-mailuser=courier \
 		--with-mailgroup=courier \
+		--with-mailuid=0 \
+		--with-mailgid=0 \
 		--without-socks \
 		--with-gnutls \
 		--enable-workarounds-for-imap-client-bugs \
@@ -76,6 +77,7 @@
 		--with-cachedir=/var/cache/sqwebmail \
 		--with-calendardir=/run/courier/calendar \
 		--with-certsdir=/etc/courier \
+		--with-certsdb=/etc/ssl/certs/ca-certificates \
 		--with-postgresql-includes=/usr/include/postgresql \
 		--with-webadmindir=/usr/share/courier/webadmin \
 		--with-notice=unicode \
@@ -92,13 +94,28 @@
 	INSTALL_IGNORE_UMASK=1 dh_auto_install -- install
 
 override_dh_installdocs-arch:
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	dh_installdocs -a
 	install -m 644 debian/sqwebmail.html debian/sqwebmail/usr/share/doc/sqwebmail
 	install -m 644 libs/gpglib/README.html debian/sqwebmail/usr/share/doc/sqwebmail/GPG.html
 	install -m 644 libs/pcp/README.html debian/sqwebmail/usr/share/doc/sqwebmail/PCP.html
+else
+	rm -rf usr/lib/courier/htmldoc/*.html
+endif
+
+override_dh_installsystemd:
+	dh_installsystemd -p courier-mta  --name=courier
+	dh_installsystemd -p courier-mta  --name=courierfilter
+	dh_installsystemd -p courier-mta  --name=courier-mta
+	dh_installsystemd -p courier-mta  --name=courier-mta-ssl
+	dh_installsystemd -p courier-mta  --name=courier-msa
+	dh_installsystemd -p courier-imap --name=courier-imap
+	dh_installsystemd -p courier-imap --name=courier-imap-ssl
+	dh_installsystemd -p courier-pop  --name=courier-pop
+	dh_installsystemd -p courier-pop  --name=courier-pop-ssl
+	dh_installsystemd --remaining
 
 override_dh_installinit:
-	dh_installinit -p courier-base --name=courier-imapaccess
 	dh_installinit -p courier-mta --name=courier
 	dh_installinit -p courier-mta --name=courierfilter
 	dh_installinit -p courier-mta
@@ -114,33 +131,30 @@
 
 override_dh_install:
 	${MAKE} install-perms
-	cd $(CURDIR)/courier && ./perms.sh > $(CURDIR)/debian/tmp/install-perms-list.dat
+	cd $(CURDIR)/courier && ./perms.sh
 
 # Install init-d helper script
 	install -m 644 debian/init-d-script-courier $(BUILD)/usr/lib/courier/
 
 # Create additional manpages
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	for man1 in addcr courier-config; do \
 	    $(POD2MAN) --section=1 debian/$${man1}.pod > $(BUILD)/usr/share/man/man1/$${man1}.1; \
 	done
 	for man8 in sharedindexinstall sharedindexsplit webgpg webmaild; do \
 	    $(POD2MAN) --section=8 debian/$${man8}.pod > $(BUILD)/usr/share/man/man8/$${man8}.8; \
 	done
+else
+# Remove manpages for nodoc builds
+	rm -f $(BUILD)/usr/share/man/man?/*.[1234578]
+endif
 
 # Ispell dictionary configuration will be produced by postinst
 	rm -f $(BUILD)/usr/lib/courier/sqwebmail/html/en-us/ISPELLDICT
-
-# Install apache 2.4 configuration
-	install -D -m0644 debian/sqwebmail.apache24.conf \
-		$(CURDIR)/debian/sqwebmail/etc/sqwebmail/apache24.conf
 
 # Remove examples
 	rm -f $(BUILD)/usr/lib/courier/perlfilter-example.pl
 	rm -f $(BUILD)/etc/courier/quotawarnmsg.example
-
-# Fix Perl paths in webadmin stuff
-	perl -i -pe 's%^#!\s?perl%#!/usr/bin/perl%' $(BUILD)/usr/share/courier/webadmin/*.pl
-	chmod 755 $(BUILD)/usr/share/courier/webadmin/admin-05local.pl
 
 # Remove showmodules so we get rid of the libmysqlclient dependency
 	rm -f $(BUILD)/usr/sbin/showmodules
@@ -183,10 +197,11 @@
 	  $(BUILD)/usr/lib/courier/mkpop3dcert \
 	  $(BUILD)/usr/lib/courier/mkimapdcert
 
-# Run dh_install but fail on missing files
-	dh_install --list-missing
-
-override dh_installchangelogs-indep:
+# run dh_install then check for missing files
+	dh_install
+	dh_missing --fail-missing
+
+override_dh_installchangelogs-indep:
 	dh_installchangelogs -p courier-doc
 
 override_dh_installchangelogs-arch:
@@ -208,7 +223,3 @@
 	dh_auto_clean
 
 # Update translation files.
-	debconf-updatepo
-
-override_dh_auto_test:
-	:
