## courier 1.0.15

=== debian/changelog ===
courier (1.0.15-1) unstable; urgency=medium

  * New upstream release 1.0.15.
  * Completely replace fam with gamin (fam is no longer maintaned and
    may be removed from Debian).  Closes: #981513.
  * Refresh patches 0018, 0022, 0023, and 0025.
  * Drop patch 0033, it has been applied upstream.
  * Bump S-V to 4.5.1: no changes required
  * Bump d/compat to 13: use dh_missing
  * Update debconf templates: run through debconf-updatepo.
  * d/copyright: add required license field everywhere.
  * Rename d/*.tmpfile to plural tmpfiles.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 15 Feb 2021 16:44:33 +0100
