## courier 1.0.16

=== debian/changelog ===
courier (1.0.16-3build3) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 14:52:40 +0100

courier (1.0.16-3build2) jammy; urgency=medium

  * No-change rebuild against libidn12

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 05:30:43 +0000

courier (1.0.16-3build1) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:45:36 -0400

courier (1.0.16-3) unstable; urgency=medium

  * Correct 0012-Define-and-use-PEMFILE-in-mkesmtpdcert.patch: append
    the extension .pem only exactly once.
  * Correct exit codes of init scripts to fix errors in the postinst
    script (return success if either disabled or already running).
    Closes: #984696.
  * Mark all autopkgtests as superficial.
  * Make the postinst script for courier-mta and courier-imap a bit
    more resilient by deferring the generation of smtpaccess.dat and
    imapaccess.dat, as this might otherwise cause the installation to
    fail.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 07 Mar 2021 23:22:57 +0100

courier (1.0.16-2) unstable; urgency=medium

  * Re-introduce the change to move away from FAM.  The request to
    revert in #983478 has not been backed up.

 -- Markus Wanner <markus@bluegap.ch>  Fri, 05 Mar 2021 11:54:39 +0100

courier (1.0.16-1) unstable; urgency=medium

  * New upstream release 1.0.16: fixes a crash that may be caused by
    a malformed DNS query/response.  Closes: #983786.
  * Revert the move away from fam.  Closes: #983478.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 01 Mar 2021 17:04:28 +0100
