=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Markus Wanner <markus@bluegap.ch>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Build-Depends: automake,
                courier-authlib-dev (>= 0.66.4-5~),
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
                dh-apache2,
@@ -16,7 +16,7 @@
                gnutls-bin,
                groff-base,
                libcourier-unicode-dev (>= 2.1-3~),
-               libfam-dev,
+               libgamin-dev,
                libgcrypt-dev,
                libgdbm-dev | libgdbmg1-dev,
                libgnutls28-dev,
@@ -246,7 +246,7 @@
 Architecture: any
 Depends: courier-base (= ${courier-base:Version}),
          debconf | debconf-2.0,
-         gamin | fam,
+         gamin,
          default-mta | mail-transport-agent,
          sysvinit-utils (>= 2.88dsf-50) | init-d-script,
          ${misc:Depends},
