=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with apache2,autoreconf
+	dh $@ --with apache2
 
 override_dh_autoreconf:
 	find $(CURDIR) -name Makefile.in -delete
@@ -113,7 +113,7 @@
 	dh_installsystemd -p courier-imap --name=courier-imap-ssl
 	dh_installsystemd -p courier-pop  --name=courier-pop
 	dh_installsystemd -p courier-pop  --name=courier-pop-ssl
-	dh_installsystemd --remaining
+	dh_installsystemd --remaining-packages
 
 override_dh_installinit:
 	dh_installinit -p courier-mta --name=courier
@@ -125,7 +125,7 @@
 	dh_installinit -p courier-imap --name=courier-imap-ssl
 	dh_installinit -p courier-pop
 	dh_installinit -p courier-pop --name=courier-pop-ssl
-	dh_installinit --remaining
+	dh_installinit --remaining-packages
 
 POD2MAN := pod2man --center='Debian GNU/Linux Documentation' --release='Debian GNU/Linux '`cat /etc/debian_version`
 
@@ -222,4 +222,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 
-# Update translation files.
